> For the complete documentation index, see [llms.txt](https://docs.mailtrap.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.mailtrap.io/developers/account-management/api-tokens/get-api-token.md).

# Get API token

Returns a single API token by id.

```json
{"openapi":"3.1.0","info":{"title":"Account Management","version":"2.0.0"},"tags":[{"name":"API Tokens"}],"servers":[{"description":"Mailtrap API","url":"https://mailtrap.io"}],"security":[{"HeaderAuth":[]},{"BearerAuth":[]}],"components":{"securitySchemes":{"HeaderAuth":{"type":"apiKey","description":"Pass the API token in the Api-Token","in":"header","name":"Api-Token"},"BearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"parameters":{"api_token_id":{"description":"API token ID","name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}},"schemas":{"ApiToken":{"type":"object","properties":{"id":{"type":"integer","format":"int64","description":"API token ID"},"name":{"type":"string","description":"Token display name"},"last_4_digits":{"type":"string","description":"Last 4 characters of the token (full token is only shown on create or reset)"},"created_by":{"type":"string","description":"Name of the user or token that created this token"},"expires_at":{"type":"string","format":"date-time","nullable":true,"description":"When the token expires (ISO 8601); null if the token does not expire"},"resources":{"type":"array","description":"Permissions granted to this token","items":{"$ref":"#/components/schemas/ResourcePermission"}}}},"ResourcePermission":{"type":"object","properties":{"resource_type":{"type":"string","enum":["account","project","sandbox","domain"],"description":"Resource type for this permission"},"resource_id":{"oneOf":[{"type":"integer"},{"type":"string"}],"description":"Resource identifier"},"access_level":{"type":"integer","enum":[10,100],"description":"10 = viewer, 100 = admin."}}},"UnauthenticatedResponse":{"title":"UnauthenticatedResponse","type":"object","properties":{"error":{"type":"string","description":"Error message"}}},"NotFoundResponse":{"title":"NotFoundResponse","type":"object","properties":{"error":{"type":"string","description":"Error message"}}}},"responses":{"UNAUTHENTICATED":{"description":"Returns unauthorized error message. Check your credentials.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UnauthenticatedResponse"}}}},"NOT_FOUND":{"description":"Returns not found error message","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFoundResponse"}}}}}},"paths":{"/api/api_tokens/{id}":{"get":{"operationId":"getApiToken","summary":"Get API token","description":"Returns a single API token by id.","tags":["API Tokens"],"parameters":[{"$ref":"#/components/parameters/api_token_id"}],"responses":{"200":{"description":"API token","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiToken"}}}},"401":{"$ref":"#/components/responses/UNAUTHENTICATED"},"404":{"$ref":"#/components/responses/NOT_FOUND"}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.mailtrap.io/developers/account-management/api-tokens/get-api-token.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
